"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Agenda = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _reactNativeMonth = require("react-native-month");

var _useAgendaEvents = require("../../hooks/use-agenda-events");

var _Events = require("../Events/Events");

var _Agenda = require("./Agenda.styles");

var _dayjs = _interopRequireDefault(require("dayjs"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const Agenda = _ref => {
  let {
    selectedDay,
    events,
    onDayPress,
    theme,
    monthTheme,
    renderSectionHeader,
    locale = 'en',
    firstDayMonday = false
  } = _ref;
  const sectionListRef = (0, _react.useRef)(null);
  const currentDay = (0, _react.useMemo)(() => selectedDay ?? new Date(), [selectedDay]);
  const onDayPressCallback = (0, _react.useCallback)(date => {
    var _sectionListRef$curre;

    onDayPress === null || onDayPress === void 0 ? void 0 : onDayPress(date);
    const dayIndex = (0, _dayjs.default)(date).date() - 1;
    (_sectionListRef$curre = sectionListRef.current) === null || _sectionListRef$curre === void 0 ? void 0 : _sectionListRef$curre.scrollToLocation({
      sectionIndex: dayIndex,
      itemIndex: 1,
      viewPosition: 0
    });
  }, [onDayPress]);
  const {
    markedDays
  } = (0, _useAgendaEvents.useAgendaEvents)(currentDay, events ?? []);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [_Agenda.viewStyles.container, theme === null || theme === void 0 ? void 0 : theme.container]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [_Agenda.viewStyles.monthContainer, theme === null || theme === void 0 ? void 0 : theme.monthContainer]
  }, /*#__PURE__*/_react.default.createElement(_reactNativeMonth.Month, {
    month: currentDay.getMonth(),
    year: currentDay.getFullYear(),
    startDate: currentDay,
    onPress: onDayPressCallback,
    markedDays: markedDays,
    showWeekdays: true,
    locale: locale,
    firstDayMonday: firstDayMonday,
    theme: monthTheme
  })), /*#__PURE__*/_react.default.createElement(_Events.Events, {
    currentDay: currentDay,
    markedDays: markedDays,
    ref: sectionListRef,
    renderSectionHeader: renderSectionHeader
  }));
};

exports.Agenda = Agenda;
//# sourceMappingURL=Agenda.js.map