"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EventItem = void 0;

var _dayjs = _interopRequireDefault(require("dayjs"));

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _Circle = require("../Circle/Circle");

var _EventItem = require("./EventItem.styles");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const EventItem = _ref => {
  let {
    onPress,
    ...rest
  } = _ref;
  const onEventPress = (0, _react.useCallback)(() => onPress === null || onPress === void 0 ? void 0 : onPress(rest), [onPress, rest]);
  const {
    name,
    startDate,
    endDate
  } = rest;
  const date = `${(0, _dayjs.default)(startDate).format('HH:mm')} to ${(0, _dayjs.default)(endDate).format('HH:mm')}`;
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    style: _EventItem.viewStyles.container,
    onPress: onEventPress
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _EventItem.viewStyles.circleContainer
  }, /*#__PURE__*/_react.default.createElement(_Circle.Circle, {
    size: 15,
    color: rest.color
  })), /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: _EventItem.textStyles.title
  }, name), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: _EventItem.textStyles.subtitle
  }, date)));
};

exports.EventItem = EventItem;
//# sourceMappingURL=EventItem.js.map