"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Events = void 0;

var _dayjs = _interopRequireDefault(require("dayjs"));

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _EventItem = require("../EventItem/EventItem");

var _Line = require("../Line/Line");

var _Events = require("./Events.hooks");

var _Events2 = require("./Events.styles");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const keyExtractor = (item, index) => `${item.name}-${index}`;

const Events = /*#__PURE__*/(0, _react.forwardRef)((_ref, ref) => {
  let {
    currentDay,
    markedDays,
    onEventPress,
    renderSectionHeader,
    theme
  } = _ref;
  const sections = (0, _Events.useMonthEvents)(currentDay, markedDays);
  const renderEvent = (0, _react.useCallback)(_ref2 => {
    let {
      item: event
    } = _ref2;
    return /*#__PURE__*/_react.default.createElement(_EventItem.EventItem, _extends({}, event, {
      onPress: onEventPress
    }));
  }, [onEventPress]);
  const renderSectionFooter = (0, _react.useCallback)(_ref3 => {
    let {
      section
    } = _ref3;

    if (section.data.length === 0) {
      return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        style: [_Events2.viewStyles.sectionFooter, theme === null || theme === void 0 ? void 0 : theme.sectionFooterContainer]
      }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        style: [_Events2.textStyles.sectionFooterFont, theme === null || theme === void 0 ? void 0 : theme.sectionFooterFont]
      }, "There are not events this day"));
    }

    return null;
  }, [theme === null || theme === void 0 ? void 0 : theme.sectionFooterContainer, theme === null || theme === void 0 ? void 0 : theme.sectionFooterFont]);
  const defaultRenderSectionHeader = (0, _react.useCallback)(_ref4 => {
    let {
      section: {
        title,
        key
      }
    } = _ref4;
    return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: [_Events2.viewStyles.sectionHeader, theme === null || theme === void 0 ? void 0 : theme.sectionHeaderContainer]
    }, /*#__PURE__*/_react.default.createElement(_Line.Line, {
      color: "lightgray"
    }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: [_Events2.textStyles.sectionHeaderFont, theme === null || theme === void 0 ? void 0 : theme.sectionHeaderFont]
    }, (0, _dayjs.default)(key).isSame((0, _dayjs.default)(), 'day') ? 'Today' : title), /*#__PURE__*/_react.default.createElement(_Line.Line, {
      color: "lightgray"
    }));
  }, [theme === null || theme === void 0 ? void 0 : theme.sectionHeaderContainer, theme === null || theme === void 0 ? void 0 : theme.sectionHeaderFont]);
  return /*#__PURE__*/_react.default.createElement(_reactNative.SectionList, {
    ref: ref,
    style: _Events2.viewStyles.listContainer,
    sections: sections,
    renderItem: renderEvent,
    renderSectionHeader: renderSectionHeader ?? defaultRenderSectionHeader,
    renderSectionFooter: renderSectionFooter,
    keyExtractor: keyExtractor
  });
});
exports.Events = Events;
//# sourceMappingURL=Events.js.map