import dayjs from 'dayjs';
import React, { useCallback } from 'react';
import { Text, TouchableOpacity, View } from 'react-native';
import { Circle } from '../Circle/Circle';
import { viewStyles, textStyles } from './EventItem.styles';
export const EventItem = _ref => {
  let {
    onPress,
    ...rest
  } = _ref;
  const onEventPress = useCallback(() => onPress === null || onPress === void 0 ? void 0 : onPress(rest), [onPress, rest]);
  const {
    name,
    startDate,
    endDate
  } = rest;
  const date = `${dayjs(startDate).format('HH:mm')} to ${dayjs(endDate).format('HH:mm')}`;
  return /*#__PURE__*/React.createElement(TouchableOpacity, {
    style: viewStyles.container,
    onPress: onEventPress
  }, /*#__PURE__*/React.createElement(View, {
    style: viewStyles.circleContainer
  }, /*#__PURE__*/React.createElement(Circle, {
    size: 15,
    color: rest.color
  })), /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(Text, {
    style: textStyles.title
  }, name), /*#__PURE__*/React.createElement(Text, {
    style: textStyles.subtitle
  }, date)));
};
//# sourceMappingURL=EventItem.js.map