import dayjs from 'dayjs';
import { useMemo } from 'react';
export const useMonthEvents = (currentDay, markedDays) => {
  const monthDays = useMemo(() => new Array(dayjs(currentDay).daysInMonth()).fill(true), [currentDay]);
  const sections = useMemo(() => {
    return monthDays.map((_, index) => {
      const day = dayjs(currentDay).date(index + 1);
      const key = day.format('YYYY-MM-DD');
      let data = [];

      if (markedDays && markedDays[key]) {
        data = markedDays[key].events;
      }

      return {
        key,
        data,
        title: day.format('ddd, MMM D')
      };
    });
  }, [currentDay, markedDays, monthDays]);
  return sections;
};
//# sourceMappingURL=Events.hooks.js.map