function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import dayjs from 'dayjs';
import React, { forwardRef, useCallback } from 'react';
import { SectionList, Text, View } from 'react-native';
import { EventItem } from '../EventItem/EventItem';
import { Line } from '../Line/Line';
import { useMonthEvents } from './Events.hooks';
import { textStyles, viewStyles } from './Events.styles';

const keyExtractor = (item, index) => `${item.name}-${index}`;

export const Events = /*#__PURE__*/forwardRef((_ref, ref) => {
  let {
    currentDay,
    markedDays,
    onEventPress,
    renderSectionHeader,
    theme
  } = _ref;
  const sections = useMonthEvents(currentDay, markedDays);
  const renderEvent = useCallback(_ref2 => {
    let {
      item: event
    } = _ref2;
    return /*#__PURE__*/React.createElement(EventItem, _extends({}, event, {
      onPress: onEventPress
    }));
  }, [onEventPress]);
  const renderSectionFooter = useCallback(_ref3 => {
    let {
      section
    } = _ref3;

    if (section.data.length === 0) {
      return /*#__PURE__*/React.createElement(View, {
        style: [viewStyles.sectionFooter, theme === null || theme === void 0 ? void 0 : theme.sectionFooterContainer]
      }, /*#__PURE__*/React.createElement(Text, {
        style: [textStyles.sectionFooterFont, theme === null || theme === void 0 ? void 0 : theme.sectionFooterFont]
      }, "There are not events this day"));
    }

    return null;
  }, [theme === null || theme === void 0 ? void 0 : theme.sectionFooterContainer, theme === null || theme === void 0 ? void 0 : theme.sectionFooterFont]);
  const defaultRenderSectionHeader = useCallback(_ref4 => {
    let {
      section: {
        title,
        key
      }
    } = _ref4;
    return /*#__PURE__*/React.createElement(View, {
      style: [viewStyles.sectionHeader, theme === null || theme === void 0 ? void 0 : theme.sectionHeaderContainer]
    }, /*#__PURE__*/React.createElement(Line, {
      color: "lightgray"
    }), /*#__PURE__*/React.createElement(Text, {
      style: [textStyles.sectionHeaderFont, theme === null || theme === void 0 ? void 0 : theme.sectionHeaderFont]
    }, dayjs(key).isSame(dayjs(), 'day') ? 'Today' : title), /*#__PURE__*/React.createElement(Line, {
      color: "lightgray"
    }));
  }, [theme === null || theme === void 0 ? void 0 : theme.sectionHeaderContainer, theme === null || theme === void 0 ? void 0 : theme.sectionHeaderFont]);
  return /*#__PURE__*/React.createElement(SectionList, {
    ref: ref,
    style: viewStyles.listContainer,
    sections: sections,
    renderItem: renderEvent,
    renderSectionHeader: renderSectionHeader ?? defaultRenderSectionHeader,
    renderSectionFooter: renderSectionFooter,
    keyExtractor: keyExtractor
  });
});
//# sourceMappingURL=Events.js.map